<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Pupupu Market!</title>
    <link href="/css/bootstrap.min.css" rel="stylesheet" />
    <link href="css/styles.css" rel="stylesheet" />
</head>

<body>

    <link rel='icon' href='img/favicon.ico' type='image/x-icon' sizes="16x16" />

    <nav class="navbar navbar-default navbar-fixed-top center">
        <div class="container">
            <!-- logo kirby navbar -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
                    data-target="#bs-example-navbar-collapse-1" aria-expanded="false">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="#">
                    <img alt="Brand" src="img/utils/250px-Kirbylogo.png" />
                </a>
            </div>

            <ul class="nav navbar-nav navbar-right">
                <li><a href="#games">Games</a></li>
                <li><a href="#contact">Contact</a></li>
            </ul>
        </div><!-- /.navbar-collapse -->
        </div><!-- /.container-fluid -->
    </nav>

    <div class="jumbotron">
        <div class="container vertical_center">
            <div class="row">
                <div class="col-lg-6 col-md-6" style="padding-top: 150px;">
                    <h1>Pupupu Market</h1>
                    <p>Any special request?</p>
                    <p"><a class="btn btn-primary btn-lg" href="#contact" role="button">Contact us!</a></p>
                </div>
                <div class="col-lg-6 col-md-6">
                    <img src="img/kirbies/kirby.png" class="floatingKirby" />
                </div>
            </div>
        </div>
    </div>

    <div id="games" class="center anchor">
        <img style="max-width: 150px !important;" src="img/utils/Untitled-3.png">
        <p style="font-size: 90px; color: #3d354d;">&nbsp;GAMES&nbsp; </p>
        <img style="max-width: 150px !important;" src="img/utils/Untitled-3.png">
    </div>
    <br>
    <br>
    <br>
    <div class="container">

        <div class="col-md-4">
            <div class="thumbnail"
                onclick="openModal('Kirbys Dream Land', 'img/games/dreamland.jpg', 'https://www.nintendo.com/games/detail/kirbys-dream-land-3ds/','$3.99','Game Boy','April 27, 1992','62% ')">
                <div>
                    <img src="img/games/dreamland.jpg" style="width:100%">
                    <div class="text-center">
                        <button class="btn button-game" style="margin-top: 10px; margin-bottom: 10px;">
                            Kirby's Dream Land
                        </button>
                    </div>
                </div>
            </div>
        </div>


        <div class="col-md-4">
            <div class="thumbnail"
                onclick="openModal('Kirbys Adventure', 'img/games/adventure.jpg', 'https://www.nintendo.com/games/detail/kirbys-adventure-wii-u/','$4.99','NES','March 23, 1993','78%')">
                <div>
                    <img src="img/games/adventure.jpg" style="width:100%">
                    <div class="text-center">
                        <button class="btn button-game" style="margin-top: 10px; margin-bottom: 10px;">
                            Kirby's Adventure
                        </button>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-4">
            <div class="thumbnail"
                onclick="openModal('Kirbys Dream Land 2', 'img/games/dreamland2.jpg', 'https://www.nintendo.com/games/detail/kirbys-dream-land-2-3ds/','$3.99','Game Boy','March 21, 1995','82% ')">
                <div>
                    <img src="img/games/dreamland2.jpg" style="width:100%">
                    <div class="text-center">
                        <button class="btn button-game" style="margin-top: 10px; margin-bottom: 10px;">
                            Kirby's Dream Land 2
                        </button>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-4">
            <div class="thumbnail"
                onclick="openModal('Kirby Super Star', 'img/games/superstar.jpg', 'https://www.nintendo.com/games/detail/kirby-super-star-wii-u/','$7.99','	Super NES','March 21, 1996','86%')">
                <div>
                    <img src="img/games/superstar.jpg" style="width:100%">
                    <div class="text-center">
                        <button class="btn button-game" style="margin-top: 10px; margin-bottom: 10px;">
                            Kirby Super Star
                        </button>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-4">
            <div class="thumbnail"
                onclick="openModal('Kirbys Dream Land 3', 'img/games/dreamland3.jpg', 'https://www.nintendo.com/games/detail/kirbys-dream-land-3-wii-u/','$7.99','Super NES','November 27, 1997','66%')">
                <div>
                    <img src="img/games/dreamland3.jpg" style="width:100%">
                    <div class="text-center">
                        <button class="btn button-game" style="margin-top: 10px; margin-bottom: 10px;">
                            Kirby's Dream Land 3
                        </button>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-4">
            <div class="thumbnail"
                onclick="openModal('Kirby 64: The Crystal Shards', 'img/games/crystalshards.jpg', 'https://www.nintendo.com/games/detail/kirby-64-the-crystal-shards-wii-u/','$9.99','Nintendo 64','March 24, 2000','74%')">
                <div>
                    <img src="img/games/crystalshards.jpg" style="width:100%">
                    <div class="text-center">
                        <button class="btn button-game" style="margin-top: 10px; margin-bottom: 10px;">
                            Kirby 64: The Crystal Shards
                        </button>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-4">
            <div class="thumbnail"
                onclick="openModal('Kirby: Nightmare in Dream Land', 'img/games/nightmareindreamland.jpg', 'https://www.nintendo.com/games/detail/kirby-nightmare-in-dream-land-wii-u/','$7.99','NES','March 23, 1993','80%')">
                <div>
                    <img src="img/games/nightmareindreamland.jpg" style="width:100%">
                    <div class="text-center">
                        <button class="btn button-game" style="margin-top: 10px; margin-bottom: 10px;">
                            Kirby: Nightmare in Dream Land
                        </button>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-4">
            <div class="thumbnail"
                onclick="openModal('Kirby and The Amazing Mirror', 'img/games/amazingmirror.jpg', 'https://www.nintendo.com/games/detail/kirby-the-amazing-mirror-wii-u/','$6.99','Game Boy Advance','April 15, 2004','78%')">
                <div>
                    <img src="img/games/amazingmirror.jpg" style="width:100%">
                    <div class="text-center">
                        <button class="btn button-game" style="margin-top: 10px; margin-bottom: 10px;">
                            Kirby and The Amazing Mirror
                        </button>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-4">
            <div class="thumbnail"
                onclick="openModal('Kirbys Epic Yarn', 'img/games/epicyarn.jpg', 'https://www.nintendo.com/games/detail/kirbys-epic-yarn-wii-u/','$19.99','Wii','October 14, 2010','88% ')">
                <div>
                    <img src="img/games/epicyarn.jpg" style="width:100%">
                    <div class="text-center">
                        <button class="btn button-game" style="margin-top: 10px; margin-bottom: 10px;">
                            Kirby's Epic Yarn
                        </button>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-4">
            <div class="thumbnail"
                onclick="openModal('Kirbys Return to Dream Land', 'img/games/returntodreamland.jpg', 'https://www.nintendo.com/games/detail/kirbys-return-to-dream-land-wii-u/','$19.99','Wii','October 27, 2011','81%')">
                <div>
                    <img src="img/games/returntodreamland.jpg" style="width:100%">
                    <div class="text-center">
                        <button class="btn button-game" style="margin-top: 10px; margin-bottom: 10px;">
                            Kirby's Return to Dream Land
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="thumbnail"
                onclick="openModal('Kirby: Triple Deluxe', 'img/games/tripledeluxe.jpg', 'https://www.nintendo.com/games/detail/kirby-triple-deluxe-3ds/', '$19.99', '3DS','January 11, 2014', '81% ')">
                <div>
                    <img src="img/games/tripledeluxe.jpg" style="width:100%">
                    <div class="text-center">
                        <button class="btn button-game" style="margin-top: 10px; margin-bottom: 10px;">
                            Kirby: Triple Deluxe
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-md-4">
            <div class="thumbnail"
                onclick="openModal('Kirby: Planet Robobot', 'img/games/robobotot.png', 'https://www.nintendo.com/games/detail/kirby-planet-robobot-3ds/', '$39.99', '3DS', 'April 2016', '84%')">
                <div>
                    <img src="img/games/robobotot.png" style="width:100%">
                    <div class="text-center">
                        <button class="btn button-game" style="margin-top: 10px; margin-bottom: 10px;">
                            Kirby: Planet Robobot
                        </button>
                    </div>
                </div>
            </div>
            
        </div>
    </div>
    <br>
    <br>
    <br>
    <br>
    <br>
    <div class="center">
        <img style="max-width: 110px !important;" src="img/utils/staff.png">
        <p style="font-size: 90px; color: #3d354d;">&nbsp;COPY HABILITIES&nbsp; </p>
        <img style="max-width: 110px !important;" src="img/utils/staff.png">
    </div>
    <div class="container">
        <div id="myCarousel" class="carousel" data-ride="carousel">
            <!-- Indicators -->
            <ol class="carousel-indicators">
                <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
                <li data-target="#myCarousel" data-slide-to="1"></li>
                <li data-target="#myCarousel" data-slide-to="2"></li>
                <li data-target="#myCarousel" data-slide-to="3"></li>
                <li data-target="#myCarousel" data-slide-to="4"></li>
                <li data-target="#myCarousel" data-slide-to="5"></li>
                <li data-target="#myCarousel" data-slide-to="6"></li>
                <li data-target="#myCarousel" data-slide-to="7"></li>
            </ol>

            <div class="carousel-inner center">
                <div class="item active">
                    <img src="img/kirbies/1-normal.png">
                </div>

                <div class="item">
                    <img src="img/kirbies/14-stone.png"">
                  </div>
              
                  <div class=" item">
                    <img src="img/kirbies/19-ice.png">
                </div>
                <div class="item">
                    <img src="img/kirbies/2-beam.png">
                </div>
                <div class="item">
                    <img src="img/kirbies/26-bomb.png">
                </div>
                <div class="item">
                    <img src="img/kirbies/11-parasol.png">
                </div>
                <div class="item">
                    <img src="img/kirbies/5-cutter.png">
                </div>
                <div class="item">
                    <img src="img/kirbies/7-sword-1.png">
                </div>
            </div>


            <!-- Left and right controls -->
            <a class="left carousel-control" href="#myCarousel" data-slide="prev">
                <span class="glyphicon glyphicon-chevron-left"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="right carousel-control" href="#myCarousel" data-slide="next">
                <span class="glyphicon glyphicon-chevron-right"></span>
                <span class="sr-only">Next</span>
            </a>
        </div>
    </div>

    <div id="contact" style="margin-top: 10%;" class="center anchor">
        <img style="max-width: 110px !important;" src="img/waddledee-slide-entrance_pc.png">
        <p style="font-size: 90px; color: #3d354d;">&nbsp;CONTACT US&nbsp; </p>
        <img style="max-width: 110px !important;" src="img/waddledee-slide-entrance_pc.png">
    </div>

    <div class="container" style="padding-bottom: 40px;">
        <form id="form-messages">
            <div class="form-group">
                <label for="author">Author</label>
                <input type="text" required minlength="3" maxlength="100" class="form-control" id="author"
                    placeholder="Write your name here">
            </div>
            <div class="form-group">
                <label for="message">Message</label>
                <textarea class="form-control" id="message" rows="3" maxlength="200" required
                    placeholder="Write your message here"></textarea>
            </div>
            <button type="submit" class="btn button-game btn-block">Send</button>
        </form>
    </div>

    <div class="container">
        <div id="messages">

        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="modal-game" tabindex="-1" role="dialog" aria-labelledby="modal-game-title"
        aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-header center">
                    <h5 class="modal-title" id="modal-game-title">...</h5>
                </div>
                <div class="modal-body">
                    <div class="col-lg-12 center">
                        <img class="" src="" id="modal-game-img">
                    </div>
                    <div class="col-lg-12">
                        <br>
                    <table class="table">
                        <tr>
                            <td>Price</td>
                            <td id="price"></td>
                        </tr>
                        <tr>
                            <td>Console</td>
                            <td id="console"></td>
                        </tr>
                        <tr>
                            <td>Published</td>
                            <td id="published"></td>
                        </tr>
                        <tr>
                            <td>Rank (GameRankings)</td>
                            <td id="rank"></td>
                        </tr>
                    </table>
                </div>
                </div>
                <div class="modal-footer center">
                    <a class="btn btn-success" id="modal-game-link" href="" target="_blank">BUY!</a>
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>


    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>

    <script>
        function openModal(title, img, link, price, console, published, rank) {
            //JQUERY
            $('#modal-game-title').text(title);
            $('#modal-game-img').attr('src', img);
            $('#modal-game-link').attr('href', link);
            $('#price').text(price);
            $('#console').text(console);
            $('#published').text(published);
            $('#rank').text(rank);

            $('#modal-game').modal('show');
        }

        var messages = [];

        var form_messages = document.getElementById('form-messages');

        form_messages.addEventListener("submit", function (e) {
            e.preventDefault();

            var text_author = document.getElementById('author').value;
            var text_message = document.getElementById('message').value;
            if (messages.length == 4) {
                messages.pop();
            }
            messages.unshift({
                author: text_author,
                message: text_message,
                date: new Date()
            })
            drawMessages();
        })

        function drawMessages() {
            var messages_div = document.getElementById('messages');
            messages_div.innerHTML = "";
            messages.forEach(msg => {
                var date_format = msg.date.getHours() + ":" + ((msg.date.getMinutes() < 10 ? '0' : '') + msg.date.getMinutes()) + " " + msg.date.getDate() + "/" + (msg.date.getMonth() + 1) + "/" + msg.date.getFullYear();
                messages_div.innerHTML +=
                    '<div class="panel panel-default">' +
                    '<div class="panel-heading">' +
                    '<h3 class="panel-title">' + msg.author + '</h3>' +
                    '<p class="small">' + date_format + '</p>' +
                    '</div>' +
                    '<div class="panel-body">' +
                    msg.message
                '</div>' +
                    '</div>';
            });
        }
    </script>
</body>

</html>